Gtk2::IconFactory(3p)

NAME
Gtk2::IconFactory

HIERARCHY
  Glib::Object
  +----Gtk2::IconFactory

INTERFACES
  Gtk2::Buildable

METHODS

  iconfactory = Gtk2::IconFactory->new

  $factory->add ($stock_id, $icon_set)

•   $stock_id (string)

•   $icon_set (Gtk2::IconSet)

  $factory->add_default

  iconset = $factory->lookup ($stock_id)

•   $stock_id (string)

  iconset = Gtk2::IconFactory->lookup_default ($stock_id)

•   $stock_id (string)

  $factory->remove_default

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.